<template>
  <div class="py-4 game-bet-history-table-container">
    <el-scrollbar style="height: 510px;">
      <div class="rounded-lg game-bet-table" :class="{'border-table-wrapper': gameBet.length}">
        <el-table 
          :data="gameBet" 
          border 
          class="game-bet-desktop"
          :class="{'user-center-table-container-max-height': gameBet.length === 0}"
        >
          <template #empty>
            <lazy-utils-not-found />
          </template>
          <el-table-column
            align="center"
            prop="GameProviderName"
            :label="$t('provider')"
            width="75"
          />
          <el-table-column
            align="center"
            prop="OrderTime"
            :label="$t('bet_time')"
            width="150"
          />
          <el-table-column
            header-align="center"
            align="left"
            prop="RefNo"
            :label="$t('reference_number')"
            width="285"
          >
            <template #default="scope">
              <div
                v-if="scope.row.IsShowBetDetailButton"
                class="underline cursor-pointer break-words"
                @click="onDisplayBetDetail(scope.row)"
              >
                <span :class="themeName === 'peru' ? '--text5' : 'fc-secondary'">{{ scope.row.RefNo }}</span>
              </div>
              <div v-else class="break-words">{{ scope.row.RefNo }}</div>
            </template>
          </el-table-column>
          <el-table-column
            header-align="center"
            align="right"
            prop="StakeForDisplay"
            :label="$t('stake')"
            width="80"
          ></el-table-column>
          <el-table-column
            header-align="center"
            align="right"
            prop="NetTurnoverForDisplay"
            :label="$t('net_turnover')"
            width="105"
          />
          <el-table-column
            header-align="center"
            align="right"
            :label="$t('win/lose')"
            width="80"
          >
            <template #default="scope">
              <div :class="`fc-${scope.row.WinLoseColorForDisplay}`">
                {{ scope.row.WinLostForDisplay }}
              </div>
            </template>
          </el-table-column>
          <el-table-column
            header-align="center"
            align="right"
            prop="PlayerCommissionForDisplay"
            :label="$t('commission')"
            width="100"
          />
          <el-table-column align="center" :label="$t('status')">
            <template #default="scope">
              <div :class="`fc-${scope.row.StatusClassColorForDisplay}`">
                {{ scope.row.StatusForDisplay }}
              </div>
            </template>
          </el-table-column>
        </el-table>
      </div>
    </el-scrollbar>
  </div>
</template>
<script lang="ts" setup>
import { SeamlessGameBet } from "@/models/seamlessGameBets";
import { store } from "~~/store";
defineProps({
  gameBet: {
    type: Object as PropType<Array<SeamlessGameBet>>,
    required: true,
  },
  onDisplayBetDetail: {
    type: Function,
    required: true,
  },
});
const themeName = store.state.selectedThemeName;
</script>